Subject: bug#8147: 24.0.50; Inserting *Help* buffer can lead to data loss

From: Stefan Monnier <[email-masked]>
Date: Mon, 07 Mar 2011 11:20:12 -0500

> The buffer from you pasted the button might not be *Help*; it could be
> any other buffer in Help mode.  So wouldn't it be inconsistent either
> way?

I don't think that's a problem.  His patch looks good to me.
The main issue is to avoid replacing the buffer's content when that
content is not prepared for such replacement, and help-mode buffers are
supposed to be prepared for it (e.g. proving the help-xref-stack to
"undo").

        Stefan